nxt.voting

## Class VoteWeighting

- java.lang.Object
- - nxt.voting.VoteWeighting

-     public final class VoteWeighting
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `VoteWeighting.MinBalanceModel`
    `static class` | `VoteWeighting.VotingModel`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `VoteWeighting(byte votingModel, long holdingId, long minBalance, byte minBalanceModel)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `acceptsVotes()`
    `boolean` | `equals(java.lang.Object o)`
    `long` | `getHoldingId()`
    `long` | `getMinBalance()`
    `VoteWeighting.MinBalanceModel` | `getMinBalanceModel()`
    `VoteWeighting.VotingModel` | `getVotingModel()`
    `int` | `hashCode()`
    `boolean` | `isBalanceIndependent()`
    `void` | `validate()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### VoteWeighting

          public VoteWeighting(byte votingModel,
                               long holdingId,
                               long minBalance,
                               byte minBalanceModel)

  - ### Method Detail

    - #### getVotingModel

          public VoteWeighting.VotingModel getVotingModel()

    - #### getMinBalance

          public long getMinBalance()

    - #### getHoldingId

          public long getHoldingId()

    - #### getMinBalanceModel

          public VoteWeighting.MinBalanceModel getMinBalanceModel()

    - #### validate

          public void validate()
                        throws NxtException.ValidationException

      Throws:
        `NxtException.ValidationException`

    - #### isBalanceIndependent

          public boolean isBalanceIndependent()

    - #### acceptsVotes

          public boolean acceptsVotes()

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`